MyDiagramController (gCube Workflow Templates Portlet 2.0.0-SNAPSHOT API)
Date: 2013-05-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.wftemplates.client.presenter
Class MyDiagramController

    java.lang.Object
      com.orange.links.client.DiagramController
          org.gcube.portlets.admin.wftemplates.client.presenter.MyDiagramController

All Implemented Interfaces:
  com.google.gwt.event.shared.HasHandlers, com.orange.links.client.event.ChangeOnDiagramEvent.HasChangeOnDiagramHandlers, com.orange.links.client.event.TieLinkEvent.HasTieLinkHandlers, com.orange.links.client.event.UntieLinkEvent.HasUntieLinkHandlers

    public class MyDiagramController

extends com.orange.links.client.DiagramController

Author:
  massi

Field Summary

Fields inherited from class com.orange.links.client.DiagramController
`minDistanceToSegment, refreshRate`

Constructor Summary
`MyDiagramController(com.orange.links.client.canvas.DiagramCanvas canvas, com.google.gwt.event.shared.HandlerManager eventBus)`

Method Summary
`void` | `deleteConnection(com.orange.links.client.connection.Connection c)`
`void` | `raiseWidgetRemovedEvent(WfStep removed)`

Methods inherited from class com.orange.links.client.DiagramController
`addChangeOnDiagramHandler, addDecoration, addDeleteOptionInContextualMenu, addOptionInContextualMenu, addPointOnConnection, addSetStraightOptionInContextualMenu, addTieLinkHandler, addUntieLinkHandler, addWidget, clearDiagram, disableContextMenu, drawStraightArrowConnection, drawStraightConnection, fireEvent, getDiagramCanvas, getFps, getView, hideContextualMenu, isInDragBuildArrow, isInDragMovablePoint, isInEditionDragMovablePoint, isInEditionSelectableShapeToDrawConnection, isShowGrid, pauseRefresh, registerDragController, removeDecoration, runRefresh, showGrid, straightenConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MyDiagramController

    public MyDiagramController(com.orange.links.client.canvas.DiagramCanvas canvas,
                               com.google.gwt.event.shared.HandlerManager eventBus)

Method Detail

### deleteConnection

    public void deleteConnection(com.orange.links.client.connection.Connection c)

  Overrides:
    `deleteConnection` in class `com.orange.links.client.DiagramController`

### raiseWidgetRemovedEvent

    public void raiseWidgetRemovedEvent(WfStep removed)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.